From 180081aac947f65bf87c22a9da68b9383e521cd4 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 16 Aug 2022 19:45:28 -0500
Subject: [PATCH 07/26] avoid shadow vars: parse_jsontable.c: jtc

backpatch to v15

commit fadb48b00e02ccfd152baa80942de30205ab3c4f
Author: Andrew Dunstan <andrew@dunslane.net>
Date:   Tue Apr 5 14:09:04 2022 -0400

    PLAN clauses for JSON_TABLE
---
 src/backend/parser/parse_jsontable.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/parser/parse_jsontable.c b/src/backend/parser/parse_jsontable.c
index bc3272017ef..84ff3fac140 100644
--- a/src/backend/parser/parse_jsontable.c
+++ b/src/backend/parser/parse_jsontable.c
@@ -341,13 +341,13 @@ transformJsonTableChildPlan(JsonTableContext *cxt, JsonTablePlan *plan,
 		/* transform all nested columns into cross/union join */
 		foreach(lc, columns)
 		{
-			JsonTableColumn *jtc = castNode(JsonTableColumn, lfirst(lc));
+			JsonTableColumn *thisjtc = castNode(JsonTableColumn, lfirst(lc));
 			Node	   *node;
 
-			if (jtc->coltype != JTC_NESTED)
+			if (thisjtc->coltype != JTC_NESTED)
 				continue;
 
-			node = transformNestedJsonTableColumn(cxt, jtc, plan);
+			node = transformNestedJsonTableColumn(cxt, thisjtc, plan);
 
 			/* join transformed node with previous sibling nodes */
 			res = res ? makeJsonTableSiblingJoin(cross, res, node) : node;
-- 
2.17.1

